Modify

Opened 7 years ago

Closed 7 years ago

#8488 closed defect (othersoftware)

Title of about page

Reported by: Mesgary Owned by: Mesgary
Priority: normal Milestone:
Component: Core Version: latest
Keywords: Cc:

Description (last modified by Don-vip)

the title of about page is not shown probably. you can check it in attached screenshot. the same happens while loading and starting the application.

Screenshot of about page

Attachments (7)

about.png (8.0 KB) - added by Mesgary 7 years ago.
Screenshot of about page
josm_calibri.png (48.3 KB) - added by Don-vip 7 years ago.
josm_arial.png (48.2 KB) - added by Don-vip 7 years ago.
about_v5802.png (61.6 KB) - added by Mesgary 7 years ago.
Title of about page in version:5802
8488_proto.patch (4.3 KB) - added by Don-vip 7 years ago.
Prototype
proto.png (13.8 KB) - added by Don-vip 7 years ago.
Expected proto screenshot
proto-screenshot.png (27.2 KB) - added by Mesgary 7 years ago.
Screenshot of about page in prototype app.

Download all attachments as: .zip

Change History (46)

comment:1 Changed 7 years ago by skyper

Owner: changed from team to Mesgary
Status: newneedinfo

Can not reproduce. Please supply some more system info and a screenshot. Thanks

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-03-04 02:31:43
Last Changed Author: akks
Revision: 5756
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-03-03 21:20:18 +0100 (Sun, 03 Mar 2013)
Last Changed Rev: 5756

Identification: JOSM/1.5 (5756 de)
Memory Usage: 71 MB / 643 MB (24 MB allocated, but free)
Java version: 1.6.0_27, Sun Microsystems Inc., OpenJDK 64-Bit Server VM
Operating system: Linux

Plugin: mirrored_download (29210)
Plugin: reverter (29296)
Plugin: utilsplugin2 (29241)
Plugin: wikipedia (29330)

Changed 7 years ago by Mesgary

Attachment: about.png added

Screenshot of about page

comment:2 Changed 7 years ago by Don-vip

Strange. Try to update to a recent version of Java to see if it fixes this problem (6 update 41 or 7 update 15)

comment:3 Changed 7 years ago by Mesgary

java version in command prompt:


C:\Program Files (x86)\Java\jre6\bin>java -version
java version "1.6.0_33"
Java(TM) SE Runtime Environment (build 1.6.0_33-b03)
Java HotSpot(TM) Client VM (build 20.8-b03, mixed mode)


java version in java.com website:


Verifying Java Version
A newer version of Java is available
Please click the download button to get the recommended Java for your computer.
Your Java version: Version 6 Update 33


comment:4 Changed 7 years ago by Don-vip

It's a quite old version, please update and tell us if the problem is still here.
By the way this version contains a lot of security flaws, fixed with the latest updates.

comment:5 Changed 7 years ago by Don-vip

Description: modified (diff)

comment:6 Changed 7 years ago by Don-vip

Can you please:

  1. paste your status report ? (first two blocks of Help -> Show status report)
  2. tell us if you are able to use the Helvetica font on your system

Thanks

comment:7 Changed 7 years ago by Don-vip

Up ? Please we need info if you want us to help you.

Last edited 7 years ago by Don-vip (previous) (diff)

comment:8 Changed 7 years ago by Mesgary

I haven't Helvica font on my system and the first two block of status report is as below:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-05-15 01:31:01
Last Changed Author: simon04
Revision: 5240
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-05-14 15:04:43 +0200 (Mon, 14 May 2012)
Last Changed Rev: 5240

Identification: JOSM/1.5 (5240 en)
Memory Usage: 35 MB / 247 MB (9 MB allocated, but free)
Java version: 1.6.0_33, Sun Microsystems Inc., Java HotSpot(TM) Client VM
Operating system: Windows 7

comment:9 Changed 7 years ago by Don-vip

Mmm looks like Helvetica is not supplied by default on Windows 7: http://www.microsoft.com/typography/fonts/product.aspx?pid=161

We'll see how to fix this, but please update both your Java environment and JOSM to recent versions.

comment:10 Changed 7 years ago by stoecker

Owner: changed from Mesgary to team
Status: needinfonew

Changed 7 years ago by Don-vip

Attachment: josm_calibri.png added

Changed 7 years ago by Don-vip

Attachment: josm_arial.png added

comment:11 Changed 7 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 5797/josm:

fix #8488 - Do not use Helvetica font when it is not available

Calibri (Windows Vista, Windows 7, Windows 8):

Arial (Windows XP):

Last edited 7 years ago by Don-vip (previous) (diff)

Changed 7 years ago by Mesgary

Attachment: about_v5802.png added

Title of about page in version:5802

comment:12 Changed 7 years ago by Mesgary

Resolution: fixed
Status: closedreopened

But it seems I have the same problem still.
Check the screenshot of version 5802.
Title of about page in version:5802

comment:13 Changed 7 years ago by Mesgary

Also a bug happened after opening the about page as below:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-03-27 02:34:15
Last Changed Author: Don-vip
Revision: 5802
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-03-26 21:17:29 +0100 (Tue, 26 Mar 2013)
Last Changed Rev: 5802

Identification: JOSM/1.5 (5802 en)
Memory Usage: 54 MB / 247 MB (15 MB allocated, but free)
Java version: 1.6.0_33, Sun Microsystems Inc., Java HotSpot(TM) Client VM
Operating system: Windows 7


java.lang.SecurityException: SHA1 digest error for org/openstreetmap/josm/gui/bbox/SlippyMapBBoxChooser.class
	at sun.security.util.ManifestEntryVerifier.verify(Unknown Source)
	at java.util.jar.JarVerifier.processEntry(Unknown Source)
	at java.util.jar.JarVerifier.update(Unknown Source)
	at java.util.jar.JarVerifier$VerifierStream.read(Unknown Source)
	at sun.misc.Resource.getBytes(Unknown Source)
	at java.net.URLClassLoader.defineClass(Unknown Source)
	at java.net.URLClassLoader.access$000(Unknown Source)
	at java.net.URLClassLoader$1.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(Unknown Source)
	at java.lang.ClassLoader.loadClass(Unknown Source)
	at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
	at java.lang.ClassLoader.loadClass(Unknown Source)
	at org.openstreetmap.josm.gui.download.DownloadDialog.buildMainPanel(DownloadDialog.java:104)
	at org.openstreetmap.josm.gui.download.DownloadDialog.<init>(DownloadDialog.java:193)
	at org.openstreetmap.josm.gui.download.DownloadDialog.getInstance(DownloadDialog.java:63)
	at org.openstreetmap.josm.actions.DownloadAction.actionPerformed(DownloadAction.java:35)
	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$000(Unknown Source)
	at java.awt.EventQueue$1.run(Unknown Source)
	at java.awt.EventQueue$1.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(Unknown Source)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$2.run(Unknown Source)
	at java.awt.EventQueue$2.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:14 Changed 7 years ago by Mesgary

Sorry, it seems the last bug was not related to about page. It happens every time "Download Map Data" button.

comment:15 Changed 7 years ago by Don-vip

Owner: changed from team to Mesgary
Status: reopenedneedinfo

Your system looks corrupted or something. Can you please try to update Java to latest version ? (download on http://www.java.com). Latest version is 7 update 17.
Thanks.

comment:16 Changed 7 years ago by Don-vip

Resolution: fixed
Status: needinfoclosed

Still no info, I consider this ticket as fixed. Please reopen only if you encounter the problem again after having updated Java, as I asked you several times.

comment:17 Changed 7 years ago by Mesgary

Sorry about it. But as I am living in Iran, I have not access to java.com downloads due to sanction. So as far as I could update my java, I will inform you. But meanwhile, there is no choice for me.

comment:18 Changed 7 years ago by Don-vip

Resolution: fixed
Status: closedreopened

Ok, sorry I was not aware of that :(
Is it a recent move from Oracle ? It looks like it happened in March ?

I will make a prototype to have a better understanding of this problem.

comment:19 Changed 7 years ago by stoecker

Would it help when we make you the file available somewhere?

comment:20 in reply to:  13 Changed 7 years ago by Don-vip

Replying to mesgary@…:

Also a bug happened after opening the about page as below:

java.lang.SecurityException: SHA1 digest error for org/openstreetmap/josm/gui/bbox/SlippyMapBBoxChooser.class
	at sun.security.util.ManifestEntryVerifier.verify(Unknown Source)

It seems to be this Java bug, fixed in Java 8.

comment:21 Changed 7 years ago by Don-vip

Status: reopenedneedinfo

Because of this Java bug, I assume you're running JOSM by using Java Web Start. Can you try to download JOSM jar (http://josm.openstreetmap.de/josm-latest.jar) and run it, to see if it changes anything ? Thanks.

comment:22 in reply to:  19 Changed 7 years ago by Mesgary

Replying to stoecker:

Would it help when we make you the file available somewhere?

Of course it is helpful. But please consider to download the 64bit version.

comment:23 in reply to:  21 Changed 7 years ago by Mesgary

Replying to Don-vip:

Because of this Java bug, I assume you're running JOSM by using Java Web Start. Can you try to download JOSM jar (http://josm.openstreetmap.de/josm-latest.jar) and run it, to see if it changes anything ? Thanks.

I am not using Java Web Start. I always download the josm-latest.jar and run it. That bug only happens in version 5802 after clicking "Download Map Data". (And it don't happen in version 5756 or before and in 5814 and 5824 which I am using)

comment:24 Changed 7 years ago by Don-vip

Owner: changed from Mesgary to team
Status: needinfonew

ok, thanks.

comment:25 Changed 7 years ago by stoecker

Try download/jre-7u17-windows-i586.exe and tell me when I can remove it again. I'm not sure if this is 32 or 64 bit. While lots of texts describe different downloads and plugin versions, the final download page contains only offline and online version for Windows. This is the offline version.

comment:27 Changed 7 years ago by stoecker

See download/jre-7u17-windows-x64.exe. You should consider Linux. My "zypper up" to update all applications is much easier than even a Java download :-)

comment:28 Changed 7 years ago by Don-vip

Owner: changed from team to Mesgary
Status: newneedinfo

Have you tried this new version of Java ?

comment:29 Changed 7 years ago by Don-vip

Wow, someone has the exact same problem here.

I have not yet enough reputation to ask him if its JLabel uses a custom font, and what locales have its users.

... Dirk ? ;)

comment:30 Changed 7 years ago by stoecker

Asked the questions. Not enough reputation yet? I only answered three questions to get 86 points as a test of the plattform itself :-) I don't have the time to be active there, but wanted to know how it works ... Maybe I should answer another one, so I get at least 100 points.

comment:31 Changed 7 years ago by Don-vip

I have a possible lead. Look at this software. It's an alternate font renderer for Windows systems... that suffers this bug.

@Hooman: can you check if this software is installed on your machine ?

EDIT: tried this software but didn't reproduce the problem myself

Last edited 7 years ago by Don-vip (previous) (diff)

Changed 7 years ago by Don-vip

Attachment: 8488_proto.patch added

Prototype

comment:32 Changed 7 years ago by Don-vip

@Hooman: Can you please:

  1. Tell us if you have tried the Java version we gave you
  2. Tell us if gdipp is installed on your system
  3. Download this prototype and attach a screenshot of the About page. Here's what you should have:

Expected proto screenshot

  1. Delete the file %WINDIR%\System32\FNTCACHE.DAT, reboot your PC, check again the About dialog

Thanks in advance. We need your help on this one.

Last edited 7 years ago by Don-vip (previous) (diff)

Changed 7 years ago by Don-vip

Attachment: proto.png added

Expected proto screenshot

comment:33 Changed 7 years ago by stoecker

Stackoverflow: He is using Arial Font. Locale is probaly en. So very likely this issue is really Font related.

comment:34 Changed 7 years ago by Don-vip

Yep, I follow the discussion there too :)

Changed 7 years ago by Mesgary

Attachment: proto-screenshot.png added

Screenshot of about page in prototype app.

comment:35 in reply to:  32 Changed 7 years ago by Mesgary

  1. Sorry I didn't notice that you have downloaded the 64bit version. Would you please re-upload it?
  2. How can I find that gdipp is installed or not?
  3. Some of lines doesn't work probably. Check the screenshot below.

Screenshot of about page in prototype app.

  1. I couldn't remove the file. Access denied.
    C:\Windows\System32>del FNTCACHE.DAT
    C:\Windows\System32\FNTCACHE.DAT
    Access is denied.
    

comment:36 Changed 7 years ago by stoecker

Please retry download.

comment:37 Changed 7 years ago by Don-vip

Hi, Thanks for the answers.

  1. Download http://josm.openstreetmap.de/download/jre-7u21-windows-x64.exe
  2. In Windows services you should have 2 services ("gdipp Service (32-bit)" and "gdipp Service (64-bit)"). If these services aren't there, you're not running this software.
  3. Interesting, it does only happen with Helvetica. Are you sure you do not have this font ? I made some changes to make JOSM not try to use an absent font, so I can't figure how it would try to use Helvetica on your system if you don't have it installed.
  4. Have you tried in an Administrator command prompt ?

EDIT: this appears to be definitively caused by a corruption of the Windows font cache.

Last edited 7 years ago by Don-vip (previous) (diff)

comment:38 Changed 7 years ago by Mesgary

Thanks for download, but it doesn't help. I have installed the new version and also removed the font cache. I checked again and I haven't Helvetica font on my system.

comment:39 Changed 7 years ago by Don-vip

Resolution: othersoftware
Status: needinfoclosed

Well, I really don't know what we can do more at this point. There is obviously something wrong with Helvetica font on your system, but I'm afraid there's nothing we can do from Java.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Mesgary.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.